package pl.epomoce.radiogroupdynamicznazmianakoloru


import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.graphics.Color
import android.widget.Button
import android.widget.RadioButton
import android.widget.TextView
import android.view.View
import android.widget.SeekBar

class OknoGlowne : AppCompatActivity() {
    var mojeFunkcje=MojeFunkcje()

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_okno_glowne)
        //kod słuchacza dla przycisku Button1
        val button1 = findViewById<Button>(R.id.button1)
        button1.setOnClickListener {
            mojeFunkcje.Zamknij(this)
        }

        val txtHello=findViewById<TextView>(R.id.textHelloWorld)
        txtHello.setBackgroundColor(mojeFunkcje.DajKolor())
        //wywołanie I wersji obsługi RadioButton'ów
        obslugaRadioButonow()

        //obsluga paska SeekBar
        val pasek=findViewById<SeekBar>(R.id.seekBar1)
        pasek.setOnSeekBarChangeListener(object: SeekBar.OnSeekBarChangeListener{
            val txt=findViewById<TextView>(R.id.textView2)
            override fun onProgressChanged(seekBar: SeekBar?, p1: Int, fromUser: Boolean) {

                when (mojeFunkcje.opcja) {
                    MojeFunkcje.OPCJA.CZERWONY -> {
                        txt.setBackgroundColor(Color.argb(255, p1, 0, 0))
                        mojeFunkcje.r = p1
                    }
                    MojeFunkcje.OPCJA.ZIELONY -> {
                        txt.setBackgroundColor(Color.argb(255, 0, p1, 0))
                        mojeFunkcje.g = p1
                    }
                    MojeFunkcje.OPCJA.NIEBIESKI -> {
                        txt.setBackgroundColor(Color.argb(255, 0, 0, p1))
                        mojeFunkcje.b = p1
                    }
                    MojeFunkcje.OPCJA.ALFA -> {
                        txt.setBackgroundColor(Color.argb(p1, 127, 127, 127))
                        mojeFunkcje.a = p1
                    }
                    else -> {}
                }
                val txtHelloWorld = findViewById<TextView>(R.id.textHelloWorld)
                txtHelloWorld.setBackgroundColor(mojeFunkcje.DajKolor())
            }
            override fun onStartTrackingTouch(seekBar: SeekBar?) {}
            override fun onStopTrackingTouch(seekBar: SeekBar?) {}
        })

    }

    //wersja I- osobna obsługa RadioButton'ów
    fun obslugaRadioButonow(){
        //przypisz kontrolki RadioButton do zmiennych
        val radioButton1 = findViewById<RadioButton>(R.id.radioButton1)
        val radioButton2 = findViewById<RadioButton>(R.id.radioButton2)
        val radioButton3 = findViewById<RadioButton>(R.id.radioButton3)
        val radioButton4 = findViewById<RadioButton>(R.id.radioButton4)
        //przypisz kontrolke do zmiany tekstu wybor
        val txt = findViewById<TextView>(R.id.textView2)
        val pasek=findViewById<SeekBar>(R.id.seekBar1)
        //rejestruj słuchaczy kliknięć
        radioButton1.setOnClickListener {
            mojeFunkcje.opcja=MojeFunkcje.OPCJA.CZERWONY
            txt.setText(radioButton1.text)
            txt.setBackgroundColor(Color.argb(255, mojeFunkcje.r, 0, 0))
            pasek.setProgress(mojeFunkcje.r)
        }
        radioButton2.setOnClickListener {
            mojeFunkcje.opcja=MojeFunkcje.OPCJA.ZIELONY
            txt.setText(radioButton2.text)
            txt.setBackgroundColor(Color.argb(255, 0,mojeFunkcje.g, 0))
            pasek.setProgress(mojeFunkcje.g)
        }
        radioButton3.setOnClickListener {
            mojeFunkcje.opcja=MojeFunkcje.OPCJA.NIEBIESKI
            txt.setText(radioButton3.text)
            txt.setBackgroundColor(Color.argb(255, 0,0,mojeFunkcje.b))
            pasek.setProgress(mojeFunkcje.b)
        }
        radioButton4.setOnClickListener {
            mojeFunkcje.opcja=MojeFunkcje.OPCJA.ALFA
            txt.setText(radioButton4.text)
            txt.setBackgroundColor(Color.argb(mojeFunkcje.a, 127,127, 127))
            pasek.setProgress(mojeFunkcje.a)
        }
    }
    //wersja II- z wspólnego klikniecia w przycisk
    fun onRadioButtonClicked(rb: View) {
        if (rb is RadioButton && rb.isChecked) {
            val txt = findViewById<TextView>(R.id.textView2)
            txt.setText(rb.text)
            val pasek=findViewById<SeekBar>(R.id.seekBar1)
            when (rb.id){
                R.id.radioButton5->{
                    mojeFunkcje.opcja=MojeFunkcje.OPCJA.CZERWONY
                    txt.setBackgroundColor(Color.argb(255, mojeFunkcje.r, 0, 0))
                    pasek.setProgress(mojeFunkcje.r)
                }
                R.id.radioButton6->{
                    mojeFunkcje.opcja=MojeFunkcje.OPCJA.ZIELONY
                    txt.setBackgroundColor(Color.argb(255, 0,mojeFunkcje.g, 0))
                    pasek.setProgress(mojeFunkcje.g)
                }
                R.id.radioButton7->{
                    mojeFunkcje.opcja=MojeFunkcje.OPCJA.NIEBIESKI
                    txt.setBackgroundColor(Color.argb(255, 0,0,mojeFunkcje.b))
                    pasek.setProgress(mojeFunkcje.b)
                }
                R.id.radioButton8->{
                    mojeFunkcje.opcja=MojeFunkcje.OPCJA.ALFA
                    txt.setBackgroundColor(Color.argb(mojeFunkcje.a, 127,127, 127))
                    pasek.setProgress(mojeFunkcje.a)
                }
            }
        }
    }
}